#
# spec file for package gnusocialshell
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name   GnuSocialShell
Name:           gnusocialshell
Version:        1.3.0
Release:        2.4
Summary:        Text-based GNU social client
License:        GPL-3.0-or-later
Group:          Productivity/Networking/Other
URL:            https://dalme.net/gnusocialshell
Source:         https://gitlab.com/DalmeGNU/GnuSocialShell/-/archive/v%{version}/%{_name}-v%{version}.tar.bz2
Patch0:         gnusocialshell-fix-cflags.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  pkgconfig
BuildRequires:  readline-devel
BuildRequires:  pkgconfig(libcurl)

%description
GnuSocialShell is a text-based GNU social client written in C.

%prep
%autosetup -p1 -n %{_name}-v%{version}

touch config.rpath
mv config config.example

%build
autoreconf -fi
%configure
make %{?_smp_mflags} V=1

%install
%make_install

%files
%license LICENSE
%doc README.md config.example
%{_bindir}/%{name}

%changelog
* Tue Feb 27 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN.
* Mon Aug  6 2018 sor.alexei@meowr.ru
- Update to version 1.3.0:
  * Add a new "/tag" command, to read tags timelines.
* Wed May 10 2017 jengelh@inai.de
- Trim fillers from descriptions.
* Tue May  9 2017 sor.alexei@meowr.ru
- Update to version 1.2.0:
  * No changelog available.
- Place the example config in documentation instead of defaulting
  it in /etc/.
* Thu Sep  1 2016 sor.alexei@meowr.ru
- Update to version 1.0:
  * No changelog available.
* Fri Jul 22 2016 sor.alexei@meowr.ru
- Update to version 0.9:
  * Add "make install" option.
  * Change executable binary name from "gss" to "gnusocialshell".
  * Change default config path to "/etc/gnusocialshell.conf".
* Mon Jul 11 2016 sor.alexei@meowr.ru
- Initial package.
